PETSc version 3.15.5
Fix/Edit manual page

# PetscMalloc2

Allocates 2 arrays of memory both aligned to PETSC_MEMALIGN

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscMalloc2(size_t m1,type **r1,size_t m2,type **r2)

Not Collective

### Input Parameter

| m1 | - number of elements to allocate in 1st chunk (may be zero)
| m2 | - number of elements to allocate in 2nd chunk (may be zero)

### Output Parameter

| r1 | - memory allocated in first chunk
| r2 | - memory allocated in second chunk

### See Also

PetscFree(), PetscNew(), PetscMalloc(), PetscMalloc1(), PetscCalloc2()

### Level

developer

### Location

include/petscsys.h

### Examples

src/vec/vec/tutorials/ex44.c.html
src/vec/is/sf/tutorials/ex1.c.html
src/mat/tutorials/ex4.c.html
src/mat/tutorials/ex17.c.html
src/ksp/ksp/tutorials/ex68.c.html
src/ksp/ksp/tutorials/ex69.c.html
src/ksp/ksp/tutorials/ex74.c.html
src/snes/tutorials/ex12.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex14.c.html
src/ts/tutorials/ex50.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages